<ng-container *ngIf="dispatchView else dataAwaitedBlk">
  <div fxLayout="row" fxLayoutAlign="center center">
    <img class="eh-w-400" [src]="imgURL" alt="Photo Log Guide">
  </div>

  <div fxLayout="row" fxLayoutAlign="start center">
    <app-button-icon-title class="eh-w-84" title="Add Log" buttonStyle="e-txt e-txt--warn" icon="playlist_add"
      iconStyle="e-mat-icon--2" (onButtonClick)="picker.open()"></app-button-icon-title>

    <mat-form-field appearance="none">
      <input matInput [matDatepicker]="picker" [max]="maxDate" [hidden]="true" [matDatepickerFilter]="dateFilter"
        (dateInput)="onDailyDateSelection($event)">
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
  </div>

  <mat-accordion class="e-mat-accordion" multi>
    <div *ngFor="let logFG of logsFA.controls; let i = index;" class="eh-mt-8">
      <app-progress-photo-log [logFG]="logFG" (deleteEvent)="removeLog($event, i)"></app-progress-photo-log>
    </div>
  </mat-accordion>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--3 e-spinner--center eh-h-100v">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>